<?php

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."mobio_smsads_panel/infusion_db.php";

if (!checkrights("XXX") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mobio_smsads_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mobio_smsads_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mobio_smsads_panel/locale/English.php";
}
if(!isset($_REQUEST["task"])) $_REQUEST["task"] = '';
switch($_REQUEST["task"]) {

	case "mobio_smsads_update":
		$mobio_settings["mobio_smsads_linkscount"] = 
			mysql_real_escape_string($_REQUEST["mobio_smsads_linkscount"]);
		$mobio_settings["mobio_smsads_instructions"] = 
			mysql_real_escape_string($_REQUEST["mobio_smsads_instructions"]);
		$mobio_settings["mobio_smsads_reply"] = 
			mysql_real_escape_string($_REQUEST["mobio_smsads_reply"]);
		$db_mobio_settings = base64_encode(serialize($mobio_settings));
		//echo $db_mobio_settings;die();
		
		mysql_query("UPDATE ".DB_INFUSION_SETTINGSTABLE." SET settings='$db_mobio_settings'");
		echo '<b>'.$locale["mobio_smsads_settings_updated"].'</b>';
	break;

	case "mobio_smsads_del":
		$id = intval($_REQUEST["link_id"]);
		dbquery("DELETE FROM ".DB_INFUSION_TABLE." WHERE id='$id'");
		echo '<b>'.$locale["mobio_smsads_deleted"].'</b>';
	break;

	default:
		// do nothing special
	break;
}
$result = dbquery("SELECT * FROM ".DB_INFUSION_SETTINGSTABLE);
$mobio_settings = array();
if(dbrows($result)) {
	$data = dbarray($result);
	$db_mobio_settings = unserialize(base64_decode($data["settings"]));

	$mobio_settings["mobio_smsads_linkscount"] = $db_mobio_settings["mobio_smsads_linkscount"];
	$mobio_settings["mobio_smsads_instructions"] = $db_mobio_settings["mobio_smsads_instructions"];
	$mobio_settings["mobio_smsads_reply"] = $db_mobio_settings["mobio_smsads_reply"];
}

if(!isset($mobio_settings["mobio_smsads_linkscount"])) $mobio_settings["mobio_smsads_linkscount"]= 10;
if(!isset($mobio_settings["mobio_smsads_instructions"])) 
	$mobio_settings["mobio_smsads_instructions"] = $locale["mobio_smsads_instructions_default"];
if(!isset($mobio_settings["mobio_smsads_reply"])) 
	$mobio_settings["mobio_smsads_reply"] = $locale["mobio_smsads_reply_default"];


$result = dbquery("SELECT * FROM ".DB_INFUSION_TABLE." ORDER BY timestamp DESC LIMIT ".$mobio_settings["mobio_smsads_linkscount"]);
$links_in_db_text = '<table style="margin-left:10px">';
while($row = dbarray($result)) {
	$link = $row["link"];
	if(strpos($link, 'http') === false) $link = 'http://'.$link;
	$links_in_db_text .= '<tr><td><a href="javascript:smsads_delconfirm('.$row["id"].')"><img src="images/del.gif" align="absmiddle" border="0"/></a></td><td><a href="'.$link.'" target="_blank">'.$row["link"].'</a></td><td>'.$row["timestamp"].'</td></tr>';
}
$links_in_db_text .= '</table>
<script language="Javascript">
function smsads_delconfirm(id) {
if(confirm("'.$locale["mobio_smsads_delconfirm"].'")) {
window.location.href = "mobio_smsads_admin.php?aid='.$_REQUEST["aid"].'&task=mobio_smsads_del&link_id="+id;
}
}
</script>';

opentable("");
echo "
<form method='post' action='mobio_smsads_admin.php?aid=".$_REQUEST["aid"]."' name='mobio_smsads_settings'>
<input type='hidden' name='task' value='mobio_smsads_update'/>

<table class='center' style='width:100%'>

<tr>
<td class='tbl' style='width:30%; white-space:nowrap;'></td>
<td class='tbl' style='width:70%;'><b>".$locale["mobio_smsads_title"]."</b></td>
</tr>
<tr>
<td class='tbl' style='width:30%; white-space:nowrap;'>".$locale["mobio_smsads_linkscount"]."</td>
<td class='tbl' style='width:70%;'><input class='textbox' type='text' style='width:400px' maxlength='200' value='".$mobio_settings["mobio_smsads_linkscount"]."' name='mobio_smsads_linkscount'/></td>
</tr>

<tr>
<td class='tbl' style='width:30%; white-space:nowrap;'>".$locale["mobio_smsads_instructions"]."</td>
<td class='tbl' style='width:70%;'><textarea class='textbox' type='text' style='width:400px;height:50px;' name='mobio_smsads_instructions'>".$mobio_settings["mobio_smsads_instructions"]."</textarea><br/>".$locale["mobio_smsads_instructions2"]."</td>
</tr>

<tr>
<td class='tbl' style='width:30%; white-space:nowrap;'>".$locale["mobio_smsads_smsreply"]."</td>

<td class='tbl' style='width:70%;'><input class='textbox' type='text' style='width:400px' maxlength='140' value='".$mobio_settings["mobio_smsads_reply"]."' name='mobio_smsads_reply'/><br/>".$locale["mobio_smsads_smsreply2"]."</td>
</tr>
<tr>
<td class='tbl' style='width:30%; white-space:nowrap;'>".$locale["mobio_smsads_linksindb"]."</td>
<td class='tbl' style='width:70%;'>".$links_in_db_text."</td>
</tr>

<tr>
<td style='text-align:center' colspan='2'><input class='button' type='submit' name='savemobio_settings' value='".$locale["mobio_smsads_savesettings"]."'/></td>
</tr>
</table>
</form>
";
closetable();

require_once THEMES."templates/footer.php";
?>
