<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."mobio_smsads_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mobio_smsads_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mobio_smsads_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mobio_smsads_panel/locale/English.php";
}

openside($locale["mobio_smsads_paneltitle"]);

$result = dbquery("SELECT * FROM ".DB_INFUSION_SETTINGSTABLE);
$mobio_settings = array();
if(dbrows($result)) {
	$data = dbarray($result);
	$db_mobio_settings = unserialize(base64_decode($data["settings"]));

	$mobio_settings["mobio_smsads_linkscount"] = $db_mobio_settings["mobio_smsads_linkscount"];
	$mobio_settings["mobio_smsads_instructions"] = $db_mobio_settings["mobio_smsads_instructions"];
	$mobio_settings["mobio_smsads_reply"] = $db_mobio_settings["mobio_smsads_reply"];
}

if(!isset($mobio_settings["mobio_smsads_linkscount"])) $mobio_settings["mobio_smsads_linkscount"]= 10;
if(!isset($mobio_settings["mobio_smsads_instructions"]))
	$mobio_settings["mobio_smsads_instructions"] = $locale["mobio_smsads_instructions_default"];
if(!isset($mobio_settings["mobio_smsads_reply"]))
	$mobio_settings["mobio_smsads_reply"] = $locale["mobio_smsads_reply_default"];


$result = dbquery("SELECT * FROM ".DB_INFUSION_TABLE." ORDER BY timestamp DESC LIMIT ".$mobio_settings["mobio_smsads_linkscount"]);
while($row = dbarray($result)) {
	$link = $row["link"];
	if(strpos($link, 'http') === false) $link = 'http://'.$link;
	echo '<a href="'.$link.'" target="_blank">'.$row["link"].'</a><br/>';
}
echo '<a href="'.BASEDIR.'infusions/mobio_smsads_panel/mobio_smsads_instructions.php">'.$locale["mobio_smsads_instructions_link"].'</a>';

closeside();

?>
